Loading...
Searching...
No Matches

backward
direction
duration
during
forward
from
jump
onSeek
onSeek
onSeek
onStep
onStep
onStep
peek
peek
peek
point
progress
seek
seek
seek
step
step
step
to
tween
via
via

## during()

template<typename T , typename... Ts>
template<typename... Ds>

tween< T, Ts... > & during | ( | Ds... | ds | ) |

Specifies the duration, typically in milliseconds, for the tweening of values in last currentPoint.

You can either specify a single duration for all values or give every value its own duration. Value types must be convertible to the uint16_t type.

Example:

// Specify that the first currentPoint will be reached in 100 milliseconds and the first value in the second
// currentPoint in 100, whereas the second value will be reached in 500.
auto tween = tweeny::from(0, 0).to(100, 200).during(100).to(200, 300).during(100, 500);
tweeny::tween::to
tween< T, Ts... > & to(T t, Ts... vs)
Adds a new currentPoint in this tweening.
tweeny::tween
The tween class is the core class of tweeny. It controls the interpolation steps, easings and duratio...
Definition tween.h:48
tweeny::from
tween< Ts... > from(Ts... vs)
Creates a tween starting from the values defined in the arguments.

Parameters

  ds | Duration values

Returns
  *this